{  POROUS.PDE  

  This problem describes the flow through an anisotropic porous foundation.
  It is taken from Zienkiewicz, "The Finite Element Method in Engineering Science",
  p. 305. 

}
 
title 'Anisotropic Porous flow'
 
variables
  pressure
 
definitions
  ky = 1
  kx = 4
 
equations
  pressure : dx(kx*dx(pressure)) + dy(ky*dy(pressure)) = 0
 
boundaries
  region 1
      start(0,0)
        natural(pressure)=0 line to (5,0) to (5,5)
        value(pressure)=0   line to (2,2)
        natural(pressure)=0 line to (2.5,2) to (2.5,1.95) to (1.95,1.95)
        value(pressure)=100 line to close

monitors
  contour(pressure)

plots
  contour(pressure)
  surface(pressure)

end "DwwnWYpFt8NafnmoMPIypo4rjAr/fvMzQF4vfkmHCY5o+Q3EPQz8ytIJAH3agloD1T7Owui2MYp7dLaLvKXkhdYRJu9pbuZ/8uyPVuLkbbhqp8doWHlyycpJNyOMGlK6tU+8buN2fp+7anSptjAEGq42IWxjwakSnuXMnwzMzVd"
