{ 1D_FINITE_POTENTIAL_WELL.PDE
  Submitted by Ali Reza Ghaffari, 07/22/2016.

  This script solves the Schrodinger equation for a one dimensional finite potential well
  and finds energy levels for bound states plus unnormalaized wave functions.
}
TITLE '1D Finite Potential Well'

COORDINATES CARTESIAN1

VARIABLES Phi

SELECT
    modes=3
    NGRID=30
    ERRLIM=1e-3

DEFINITIONS
    volt { in eV}
    hbar=1.05457e-34
    e0=1.6022e-19
    m0=9.11e-31
    v0=64
    a=1.8e-10

EQUATIONS
    Phi: (-hbar^2/2/m0/e0)*(dx(dx(Phi)))+volt*Phi-LAMBDA*Phi=0

BOUNDARIES 
  REGION 1
    volt=v0
    START (-3*a)   point value(phi)=0
    LINE TO (-a/2)

  REGION 2
    volt=0
    START (-a/2) LINE TO (a/2)

  REGION 3
    volt=v0
    START (a/2)
    LINE TO (3*a )  point value(phi)=0

!MONITORS
! no monitors since problem solves so fast

PLOTS
  elevation(phi*5+lambda,volt) from (-3e-10) to (3e-10)

SUMMARY
  REPORT(LAMBDA)

END "KOc6Hm6Sb3QtuHp9pE6V6NeBWDjbb8XuLxEJr9z+gf0YWu5kDWYhaPIKMKz6NkcRXnLw71WZ5D/z9Y3w3ezGfMBxwNUzN7I3RD2W+F16UjIzpOLPNzk5KGiLIkaG067RLvZ9zv6Lxq6LTl0drc/FWaW4voxB6Ww0z7eVgOUHmCA"
