TITLE                                                                          { emw33.pde }
   'Wave in a Rectangular Cavity, Eigenstates'
{ From "Waves by Finite Element Analysis" by Gunnar Backstrom }
SELECT
   errlim= 5e-3                   modes= 16
VARIABLES
   Ezr
DEFINITIONS
   Lx= 1.0                      Ly= 0.8                Ezi= 0
   eps0= 8.85e-12               eps                        { Permittivity }
   mu0= 4*pi*1e-7               mu                        { Permeability }
   sigma                                                { Conductivity }
   omega= sqrt( lambda/ (mu0*eps0))        { Angular frequency }
#include 'emw_xy.inc'
EQUATIONS
   del2( Ezr)+ lambda*Ezr = 0
BOUNDARIES
region 'vacuum'           eps= eps0                mu= mu0                sigma= 0
   start 'outer' (0,0)               value(Ezr)= 0
   line to (Lx,0) to (Lx,Ly) to (0,Ly)  line to close
PLOTS
   contour( Ezr)  report( omega)
END "JERjDj4pvcwznPA3D/crZqbxC/coa/ZwfA0q8JX2BQkI+e5jpsCLWboOoL/EhH5vLW4AzhdH41M3EuZB9w7hfCn0FAS4Qil47AphGomFeN+06pzZa72VxUZBMEQdvHUKy/+NiyaH32Go5AJOxkF2DaGYNXPc1jc6KWya+wvkXbw"
