{ 3D_LENSES.PDE

  This problem considers the flow of heat in a lens-shaped body
  of square outline.  It demonstrates the use of FlexPDE in problems
  with non-planar extrusion surfaces.
 
  Layer 1 consists of a flat bottom with a paraboloidal top.
  Layer 2 is a paraboloidal sheet of uniform thickness.
 
  Plots on various cut planes show the ability of FlexPDE to
  detect intersection surfaces.
 
}
 
  title '3D Test - Lenses'
 
  coordinates
     cartesian3
 
  Variables
     u
 
  definitions
     k = 0.1
     heat = 4
 
  equations
    U: div(K*grad(u)) + heat   = 0
 
  extrusion
    surface z = 0
    surface z = 0.8-0.3*(x^2+y^2)
    surface z = 1.0-0.3*(x^2+y^2)
 
 boundaries
     { implicit natural(u) = 0 on top and bottom faces }
     Region 1
        layer 2 k = 1    { layer specializations must follow regional defaults }
        start(-1,-1)
        value(u) = 0     { Fixed value on sides }
        line to (1,-1) to (1,1) to (-1,1) to close
 
 select painted 
 plots
     contour(u) on x=0.51       as "YZ plane"
     contour(u) on y=0.51       as "XZ plane"
     contour(u) on z=0.51       as "XY plane cuts both layers and part of outline"
     contour(u) on z=0.75       as "XY plane cuts both layers, but not the outline"
     contour(u) on z=0.8        as "XY plane cuts only layer 2"
     contour(u) on z=0.95       as "XY plane cuts small patch of layer 2"
     contour(u) on z=0.95 zoom  as "small cut patch, zoomed to fill frame"
     contour(u) on surface 1    as "on bottom surface"
     contour(u) on surface 2    as "on paraboloidal layer interface"
     contour(u) on x=y          as "oblique plot plane"
     contour(u) on x+y=0        as "another oblique plot plane"

 end "Dzm6ywrKqKU2kP+fwyQiQ/G5n8Ne9bUO5d0hxa8cc7cMeYtBEdVkWQMEP175/YxjSWfZZvBRtM/o6udmfqtGTpRrTJto4Cks0FTla+fHeVYZuHiYIn3QMW+TO/h3SMHeQgsplhOhWgfFuM43FJDhpQ9gmDxXo8Nw+bQNCqYXzqs"
