{ BOXINBOX_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    one object named 'boxinbox' that will be bound to a material property set.
    two groups named 'inner' and 'outer' that will be bound to BC sets.
}

title 'Import OBJ box-in-box'

coordinates cartesian3

variables u

select regrid=off

materials
  'boxinbox' : k=1

boundary conditions
  'inner' : value(u)=1
  'outer': value(u)=10

equations u: div(k*grad(u))=0

boundaries import OBJ 'boxinbox.obj'

plots
  grid(x,y,z)
  grid(y,z) on x=0
  contour(u) on x=0

end "KNsPrxBDmkECwmDUULPXZEzXZfrJb6JCbKMJ75QW/RAK/+b/wf97PgcU2HgbMoED37Oz1+kodHv/U2t69wbx/pw6jVZu7ID4Wvcnhd2614gCkvUGTW7xtfNxKgV1TTaW/wq62l1omGogPi3oGec2Y3TsJRyNPbwqC6si4enXCW0"
