{ CUBE2_OBJIMPORT.PDE

  This sample demonstrates the import of a bounding mesh in OBJ file format.
  It uses the MATERIALS and BOUNDARY CONDITIONS sections to tie names stated
  in the OBJ file to FlexPDE properties.

  The OBJ file contains :
    two objects named 'cube1' and 'cube2' that will be bound to material sets.
    three groups named 'left', 'middle', and 'right' that will be bound to BC sets.
}
title 'Import OBJ Cube2'

coordinates cartesian3

variables u

materials
  'cube1' : k = 1
  'cube2' : k = 5

boundary conditions
  'left'   : value(u) = 1
  'middle' : natural(u) = 0
  'right'  : value(u) = 10

equations u: div(k*grad(u))=0

boundaries import OBJ 'cube2.obj'

plots
  grid(x,y,z)
  grid(x,y) on z = 0.5
  contour(u) on z = 0.5
  elevation(u) from (0,0.5,0.5) to (2,0.5,0.5)

end "HimlW3V/cRNKIX9wzMdRW4ly8OdGzHORXNB1HerkpaYf/x9BjAzlETOYXt4OckqiPxZ6gSy762dxjAXQlaobVRnnzjjF59/st8fiUzDAtHLKGJrHk8gcI3tVoOPKan4RW6MTNGjJWy9XZK8SD9DlSJjE0q+koPmDZA6AJDgTh1D"
