{  CONSTRAINT.PDE  
  
    This problem shows the use of CONSTRAINTS to resolve an ill-posed problem.
    There are no value boundary conditions in any of the three equations, so
    there are infinitely many solutions that satisfy the PDE's.  The constraints
    select from the family of solutions those which have a mean value of 1.

}
 
title 'Constraint Test'
 
variables
    u1 u2 u3
 
equations
    u1: div(grad(u1)) +x = 0
    u2: div(grad(u2)) +x+y = 0
    u3: div(grad(u3)) +y = 0
 
constraints
    integral(u1) = integral(1)
    integral(u2) = integral(1)
    integral(u3) = integral(1)
 
boundaries
    Region 1
      start(-1,-1) line to (1,-1) to (1,1) to (-1,1) to close
 
monitors
    contour(u1)
    contour(u2)
    contour(u3)
plots
    contour(u1)  report(integral(u1)/integral(1)) as "Average"
    contour(u2)  report(integral(u2)/integral(1)) as "Average"
    contour(u3)  report(integral(u3)/integral(1)) as "Average"
    surface(u1)  report(integral(u1)/integral(1)) as "Average"
    surface(u2)  report(integral(u2)/integral(1)) as "Average"
    surface(u3)  report(integral(u3)/integral(1)) as "Average"
 
end "Fp+0AcfBZMOw7GzkmMNbKkbJrPkgAio3HjZh4s7gdVop0dnr/Dj0wwLbwRJD48LavPK58I7+2VsYeaAFi854hokQMFe7oRZQD5R1WwmrSG3JC9WcT0v5gNTeOC+1Z9do7DI/IyMW8xQsNklcW/ZeE41IdFLJ25V9UbzKPzl7k4/"
