{ DRUMHOLE.PDE 
 
   *******************************************************************
    This example is a modification of "Drumhead.pde", in which
    the vibrating membrane has a circular hole.
    *******************************************************************  
}
 
title "Vibrational modes of a drumhead with a hole"
 
select
    modes=8            { -- Define the number of vibrational modes desired.
                             The appearance of this selector tells FlexPDE
                             to perform an eigenvalue calculation }
Definitions
     enohole =  ARRAY(5.783186, 14.68197, 14.68197, 26.37459, 26.37459, 30.471262, 40.70644, 40.70644)
 
variables
     u
 
equations             { -- the eigenvalue equation }
    U: div(grad(u)) + lambda*u   = 0
 
boundaries
    Region 1
        start(0,-1)
        value(u) = 0
            arc(center=0,0) angle 360
        start(0,-0.4)
        natural(u)=0
            arc(center=0,-0.2) angle=360
 
monitors              { -- repeated for all modes }
    contour(u)
 
plots                 { -- repeated for all modes }
    contour(u)
    surface(u)
    transfer(lambda,u) file="ur"
 
     summary
        report(lambda) report(enohole[mode]) as "  No Hole"

end "FERYqayALXigTRjnibQRbCcLGOp5qFnauGKzH+2O1HSU3XqxFnk8PEHj2VS9MGy6onuV56zFQufemkGFelamHFszbhl60uvjPfl7NJgcQTw6SlzUafw8yfboo5vj/Jtxg576s+USjrtpSspYO+wnffdGpgodepzMHPqIpSEypJT"
