{ IMPLICIT_CURVE_BOUNDARY.PDE

  This example creates a polynomial boundary segment using the
  implicit ADAPT CURVE descriptor. With ADAPT, FlexPDE finds the
  solution to the given expression that goes through the current
  point and tracks the curve in the direction specified (+Y).
}
Title 'Implicit Curve Boundary'
Coordinates cartesian2
Variables u

Definitions
     k = 1
     u0 = 1-x^2-y^2
     s = 2*3/4+5*2/4

Initial Values u = 1

Equations
  U: div(K*grad(u)) + s = 0

Boundaries
  region 1
    start(-0.1, 0.004) value(u)=u0  
    line to (0.1,0.004)
    { create a boundary segment that follows the expression
      (x^2+y^2)^2 - 3*x^2*y - y^3 = A, where A is calculated using
      the current point, and start moving in the +Y direction. }
    adapt curve ((x^2+y^2)^2 - 3*x^2*y - y^3)  by (+y) to close

Plots
  contour(u) 
  surface(u) 

End "JShd/Fjy0AQb1Eda8N/HP7N9XlNtgJup5UzWfySvT0qn0FUbmR9N//7jwjeZTyWTUp9zV9udmhUws8KY/+SA2gDbJGyHuRJ5SHqxybZtuYRDYshDlX/P5Mdnoa83AgAXaztuKORkSx30eLTuCn2HLB7ZlEEqsDQjOp4/74rF3JM"
