{ IMPLICIT_CURVE_SURFACE.PDE

  This example shows how FlexPDE can be used to plot polynomial
  expressions and their derivatives. This can be helpful in many
  different scenarios, but is presented here because expression
  F3 is used in the example IMPLICIT_CURVE_BOUNDARY.PDE.
}
Title 'Example Surfaces'
Coordinates cartesian2
Select contours=50

Definitions
  f1 = (x^2+y^2)^3-4*x^2*y^2
  f2 = (x^2+y^2)^2-4*x*y
  f3 = (x^2+y^2)^2 - 3*x^2*y - y^3 

Boundaries
  region 1
    start(-2,-1)
    line to (2,-1) to(2,2) to (-2,2) to close

Plots
  contour(F1)
  contour(F1)     zoom(-1,0, 2,1)
  contour(dx(F1)) zoom(-1,0, 2,1)
  contour(dy(F1)) zoom(-1,0, 2,1)
  elevation(dx(F1),dy(F1)) from (-1,0) to (1,0)

  contour(F2)
  contour(F2)     zoom(-1,0, 2,1)
  contour(dx(F2)) zoom(-1,0, 2,1)
  contour(dy(F2)) zoom(-1,0, 2,1)
  elevation(dx(F2),dy(F2)) from (-1,0) to (1,0)

  contour(F3)
  contour(F3)     zoom(-1,0, 2,1)
  contour(dx(F3)) zoom(-1,0, 2,1)
  contour(dy(F3)) zoom(-1,0, 2,1)
  elevation(dx(F3),dy(F3)) from (-1,0) to (1,0.0)

End "E9ZnybpxvA+qonIF/ZTFSBVn3eYkTEHgYIMZCr/BAqtKtjwRdIS2WZSoYxMiCh0qivBmSKzZ2Zm2SJom8WrDjH5CUDHW6DepHQ0vJy51GWuSvUk56jGNBhQPIz0XeX1UYgEoQcB6201KlVCN5QAAB83kY02BK45mHpWGzceMHYz"
