{ BLOCKTABLE.PDE

  This example shows the use of the BLOCK modifier in reading TABLE data.

  The BLOCK modifier allows table data to be interpreted in Histogram profile.
  The default interpretation imposes a 10% rise width on the histogram blocks,
  to avoid dramatic timestep cuts when data are used as driving profiles in 
  time-dependent problems.

  The BLOCK(rise) qualifier allows the specification of a rise width as a fraction
  of block width.

}

title '1D BLOCK table'

select
    regrid=off

{ No Variables are necessary }

definitions
    { single value format with default 10% rise width: }
    u = block table("table1.tbl")
    { assignment list format with 50% rise width: }
    block(0.5) tabledef("table1.tbl",v)
    { single value format with un-blocked interpretation: }
    w = table("table1.tbl")

boundaries
    Region 1
      start(0,0)
      line to (10,0) to (10,1) to (0,1) to close
  
plots
    contour(u)  as "10% rise"
    contour(v)  as  "50% rise"
    contour(w)  as "Unblocked"
    elevation(u) as "10% rise" from(0,0.5) to (10,0.5)
    elevation(v) as "50% rise" from(0,0.5) to (10,0.5)
    elevation(w) as "Unblocked" from(0,0.5) to (10,0.5)
    elevation(u, v, w) from(0,0.5) to (10,0.5)

end "IxitnwDNJzQDqFNY8TyBUlAbSqFSrgWVf7o+aOKCgvOXfZZGZ3abR9SCDaHisUPLn8AVVdubNKmnOPGwRfiXT2ZftHPIG5c6jMR7Y/DDf4S8A3ovsEWXEGPSj72OFuJIkUnF7L68rHpulR+NM+1w53hl1pjeK9CNdoRH8OvAm5X"
