{ MESH_EXPORT.PDE  
  
  This example uses a modification of the sample problem HEAT_BOUNDARY.PDE
  to illustrate the use of the TRANSFER output function.  

  Both the temperatures calculated here and the final mesh structure are transferred
  as input to the stress calculation MESH_IMPORT.PDE 

}
 
title "Test TRANSFER output"
 
variables
     Temp
 
definitions
     K = 1
     source = 4
     Tzero = 0
     flux = -K*grad(Temp)
 
equations
    Temp: div(K*grad(Temp)) + source = 0
 
boundaries
     Region 1
        start "OUTER" (0,0)
        natural(Temp)=0     line to(1,0)
 
        natural(Temp)=0     arc (center=0,0) to (0,1)
 
        natural(Temp)=0     line to close
 
        start "INNER" (0.4,0.2)
        natural(Temp)=Tzero-Temp
          arc (center=0.4,0.4)
             to (0.6,0.4)
             to (0.4,0.6)
             to (0.2,0.4)
             to close
 
monitors
     contour(Temp)
 
plots
     grid(x,y)
     contour(Temp)
     surface(Temp)
     vector(-K*dx(Temp),-K*dy(Temp)) as "Heat Flow"
     contour(source)
     elevation(normal(flux)) on "outer" range(-0.08,0.08)
         report(bintegral(normal(flux),"outer")) as "bintegral"
     elevation(normal(flux)) on "inner" range(1.95,2.3)
         report(bintegral(normal(flux),"inner")) as "bintegral"
 
     { HERE IS THE TRANSFER OUTPUT COMMAND: }
     transfer(Temp,source) file="transferm.xfr"
 
end "CPXOO/Z+JdijZ68Ej2D4mMPdcrIhcAvZAUK/nBN6yjeR+naYhQF1BJn3Adg+fbJ8wgQrnbm/7g7+BmlpLMyss6HzZhAeYpwODARUqG0ct4cO8oX0b072TD//KZfRn5STD5CLgLSRnVS1eSKyT6v6jUqYUTNetNu2BsgDlQMefCI"
