{  FILLET.PDE

    This example demonstrates the use of the FILLET and BEVEL commands
}

title 'fillet test'

variables
   u

definitions
   k = 1
   u0 = 1-x^2-y^2
   s = 2*3/4+5*2/4

equations
   U: div(K*grad(u)) +s = 0

boundaries
   Region 1
      start(-1,-1)
      value(u)=u0 line to (1,-1) FILLET(0.1)
              to (-0.25,-0.25) FILLET(0.1)
      to (-1,1) BEVEL(0.1)
      to close

monitors
   grid(x,y)
   contour(u)

plots
   grid(x,y)
   contour(u)
   contour(u) zoom(0.6,-1, 0.2,0.2)  as "Convex Fillet Closeup"
   contour(u) zoom(-0.3,-0.3, 0.1,0.1) as "Concave Fillet Closeup"

end "DhPyLHpRZ5W6fIPYqH7nh75osa4lRzlowLGGmqDxHuaNIZ0ZWXi0U0DkXMxnW2samhw2T5XFXS+YZ5Dhb6o4c+exMzS2MSRtShukTiVPXjP99aLTPVrsv91v3+pvX2pH7eCDigiih3Ah5Vs/ZcKnYkYxl0co1VoQ5irQZlHOCDA"
