{ THENEQ.PDE

    This example demonstrates the use of sequenced equations in a steady-state problem.
    The equations are not coupled, and are solved individually.

}
title 'Sequenced Equations'

select
   errlim=1e-5
   ngrid=50

Variables
   u,v,w

definitions
   k1 = 1
   k2 = 2
   k3 = 3
   u0 = 1-x^2-y^2
   v0 = 2-x^2-y^2
   w0 = 3-x^2-y^2
   sourceu = 4*k1
   sourcev = 4*k2
   sourcew = 4*k3

equations
   u:     div(K1*grad(u)) +sourceu = 0
then
   v:     div(K2*grad(v)) +sourcev = 0
then
   w:     div(K3*grad(w)) +sourcew = 0

boundaries
   Region 1
      start(-1,-1)
      value(u)=u0         value(v)=v0         value(w)=w0
      line to (1,-1) to (1,1) to  (-1,1) to close

   plots
      surface(u)  paint as "First"
      surface(v)  paint as "Second"
      surface(w)  paint as "Third"
      elevation(u,v,w,sourceu,sourcev,sourcew) from (-1,0) to (1,0) as "Values and Sources"
end "KBJpYtIDolx6L6QAKzRk34166XJ8hITicS77o4/Zn8plxkQfgFfdGFWH59YWOzs2f8EtNvEzZ9v/ZBi/AkKGV/AbWZbjLI+TEeJpY4B3Z5aDruV8epSxYfxmlIyPLkriSvBgIxQdxysGoNewuw1S13KdUNKlRs+B5R9k1iIYad+"
